package com.zg.project.information.mapper;

import java.util.List;
import com.zg.project.information.domain.PcdeDetail;

/**
 * 库位明细Mapper接口
 * 
 * @author zg
 * @date 2025-05-29
 */
public interface PcdeDetailMapper 
{
    /**
     * 查询库位明细
     * 
     * @param id 库位明细主键
     * @return 库位明细
     */
    public PcdeDetail selectPcdeDetailById(Long id);

    /**
     * 查询库位明细列表
     * 
     * @param pcdeDetail 库位明细
     * @return 库位明细集合
     */
    public List<PcdeDetail> selectPcdeDetailList(PcdeDetail pcdeDetail);

    /**
     * 新增库位明细
     * 
     * @param pcdeDetail 库位明细
     * @return 结果
     */
    public int insertPcdeDetail(PcdeDetail pcdeDetail);

    /**
     * 修改库位明细
     * 
     * @param pcdeDetail 库位明细
     * @return 结果
     */
    public int updatePcdeDetail(PcdeDetail pcdeDetail);

    /**
     * 删除库位明细
     * 
     * @param id 库位明细主键
     * @return 结果
     */
    public int deletePcdeDetailById(Long id);

    /**
     * 批量删除库位明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePcdeDetailByIds(Long[] ids);

    /**
     * 根据库位编码查询库位信息
     * @param locationCode
     * @return
     */
    PcdeDetail selectByLocationCode(String locationCode);

}
